Bug 1299773 - Password validity date is not described correctly
Password validity date is not described correctly
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: Core (Show other bugs)
1.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.3
: 1.0.6
Assigned To: Martin Perina
Ondra Machacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 04:32 EST by Martin Perina
Modified: 2016-02-16 04:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 04:49:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51556 None None None 2016-01-27 05:51 EST
oVirt gerrit 52790 ovirt-engine-extension-aaa-jdbc-1.0 MERGED cli: fix help of password-reset 2016-01-27 06:04 EST

  None (edit)
Description Martin Perina 2016-01-19 04:32:19 EST
Description of problem:

When user displays help of password-reset command using:

  ovirt-aaa-jdbc-tool user password-reset --help

password-valid-to option is not correctly described:

  --password-valid-to
    Password expiration date.
    root-user-password-reset.arg.password-valid-to.type = required_argument

Version-Release number of selected component (if applicable):

ovirt-engine-extension-aaa-jdbc-1.0.1

How reproducible:

100%

Steps to Reproduce:
1. Execute
  ovirt-aaa-jdbc-tool user password-reset --help

Actual results:

password-valid-to option is not correctly described

Expected results:

password-valid-to option is correctly described

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2016-01-19 04:34:05 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Red Hat Bugzilla Rules Engine 2016-01-19 04:34:44 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 3 Martin Perina 2016-01-27 06:15:21 EST
Fix will be contained in ovirt-engine-extension-aaa-jdbc-1.0.6
Comment 4 Pavel Stehlik 2016-02-16 04:49:01 EST
Closing older BZs, if still happened, please reopen.

Note You need to log in before you can comment on or make changes to this bug.